<template>
  <div>
    <h1>{{ title }}</h1>
    <!-- <p>{{ greeting() }}</p> -->
    <app-header></app-header>
    <ninjas></ninjas>
    <h2>Props</h2>
    <ninjas v-bind:parts="parts_props"></ninjas>
    <app-footer></app-footer>
  </div>
</template>
<script>
import Header from './components/Header.vue';
import Footer from './components/Footer.vue'
import Ninja from './components/Ninjas.vue';
export default {
  components: {
    'app-header': Header,
    'app-footer': Footer,
    'ninjas': Ninja
  },
  data() {
    return {
      title: "Nest Components" ,
      parts_props : [
        {name:'part 7',speciality: "Vue Components 2", show:true},
        {name:'part 8', speciality: "Vue Event ", show:false},
        {name:'part 9',speciality: "Conditionals", show:false},
        {name:'part 10',speciality: "Data Design", show:false},
        {name:'part 11', speciality: "Vue Event 2 ", show:false},
        {name:'part 12',speciality: "Conditionals 2", show:false}
        ]
    }
  },

  // methods: {
  //   greeting: function(){
  //     return "First Method"
  //   }
  // }
}
</script>

<style scoped>
  h1{
    color: green;
  }
  /* h3 {
    color: blue;
  } */
</style>
